package org.springblade.swzdr.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.swzdr.pojo.entity.RyXsEntity;
import org.springblade.swzdr.pojo.vo.RyXsVO;

import java.util.Objects;

/**
 * 人员_写实记录 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-09-13
 */
public class RyXsWrapper extends BaseEntityWrapper<RyXsEntity, RyXsVO>  {

	public static RyXsWrapper build() {
		return new RyXsWrapper();
 	}

	@Override
	public RyXsVO entityVO(RyXsEntity ryXs) {
		RyXsVO ryXsVO = Objects.requireNonNull(BeanUtil.copyProperties(ryXs, RyXsVO.class));

		//User createUser = UserCache.getUser(ryXs.getCreateUser());
		//User updateUser = UserCache.getUser(ryXs.getUpdateUser());
		//ryXsVO.setCreateUserName(createUser.getName());
		//ryXsVO.setUpdateUserName(updateUser.getName());

		return ryXsVO;
	}


}
